## htslib 1.10.2

=== Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2019 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

# Default libraries to link if configure is not used
htslib_default_libs = -lz -lm -lbz2 -llzma -lcurl

CPPFLAGS =
# TODO: make the 64-bit support for VCF optional via configure, for now add -DVCF_ALLOW_INT64
#       to CFLAGS manually, here or in config.mk if the latter exists.
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
# For testing strict C99 support add -std=c99 -D_XOPEN_SOURCE=600
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600
CFLAGS   = -g -Wall -O2 -fvisibility=hidden
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS  = -fvisibility=hidden
LIBS     = $(htslib_default_libs)

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
man7dir     = $(mandir)/man7
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_LIB     = $(INSTALL_DATA)
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = \
	test/hts_endian \
	test/fieldarith \
	test/hfile \
	test/pileup \
	test/sam \
	test/test_bgzf \
	test/test_kstring \
	test/test_realn \
	test/test-regidx \
	test/test_str2int \
	test/test_view \
	test/test_index \
	test/test-vcf-api \
	test/test-vcf-sweep \
	test/test-bcf-sr \
	test/fuzz/hts_open_fuzzer.o \
	test/test-bcf-translate \
	test/test-parse-reg

BUILT_THRASH_PROGRAMS = \
	test/thrash_threads1 \
	test/thrash_threads2 \
	test/thrash_threads3 \
	test/thrash_threads4 \
	test/thrash_threads5 \
	test/thrash_threads6 \
	test/thrash_threads7

all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS)

HTSPREFIX =
include htslib_vars.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION := $(shell ./version.sh)

LIBHTS_SOVERSION = 3
MACH_O_COMPATIBILITY_VERSION = $(LIBHTS_SOVERSION)

# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
# even if this is a dirty or untagged Git working tree.
NUMERIC_VERSION := $(shell ./version.sh numeric)

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

version.h:
	echo '#define HTS_VERSION_TEXT "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)

show-version:
	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)

.SUFFIXES: .bundle .c .cygdll .dll .o .pico .so

.c.o:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<


LIBHTS_OBJS = \
	kfunc.o \
	knetfile.o \
	kstring.o \
	bcf_sr_sort.o \
	bgzf.o \
	errmod.o \
	faidx.o \
	header.o \
	hfile.o \
	hfile_net.o \
	hts.o \
	hts_os.o\
	md5.o \
	multipart.o \
	probaln.o \
	realn.o \
	regidx.o \
	region.o \
	sam.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	textutils.o \
	thread_pool.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_samtools.o \
	cram/cram_stats.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/rANS_static.o \
	cram/string_alloc.o \
	$(NONCONFIGURE_OBJS)

# Without configure we wish to have a rich set of default figures,
# but we still need conditional inclusion as we wish to still
# support ./configure --disable-blah.
NONCONFIGURE_OBJS = hfile_libcurl.o

PLUGIN_EXT  =
PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h
cram_os_h = cram/os.h $(htslib_hts_endian_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h)
cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) $(htslib_cram_h) cram/string_alloc.h cram/mFILE.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
bcf_sr_sort_h = bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kbitset_h)
header_h = header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h) $(htslib_sam_h)
hfile_internal_h = hfile_internal.h $(htslib_hts_defs_h) $(htslib_hfile_h) $(textutils_internal_h)
hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
sam_internal_h = sam_internal.h $(htslib_sam_h)
textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)


# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Default config.h generated by Makefile */' > $@
	echo '#define HAVE_LIBBZ2 1' >> $@
	echo '#define HAVE_LIBLZMA 1' >> $@
	echo '#ifndef __APPLE__' >> $@
	echo '#define HAVE_LZMA_H 1' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_DRAND48 1' >> $@
	echo '#define HAVE_LIBCURL 1' >> $@

# And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
# on htslib.pc.in listed, as if that file is newer the usual way to regenerate
# this target is via configure or config.status rather than this rule.
htslib.pc.tmp:
	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' htslib.pc.in > $@

# Create a makefile fragment listing the libraries and LDFLAGS needed for
# static linking.  This can be included by projects that want to build
# and link against the htslib source tree instead of an installed library.
htslib_static.mk: htslib.pc.tmp
	sed -n '/^static_libs=/s/[^=]*=/HTSLIB_static_LIBS = /p;/^static_ldflags=/s/[^=]*=/HTSLIB_static_LDFLAGS = /p' $< > $@


lib-static: libhts.a

# $(shell), :=, and ifeq/.../endif are GNU Make-specific.  If you don't have
# GNU Make, comment out the parts of these conditionals that don't apply.
ifneq "$(origin PLATFORM)" "file"
PLATFORM := $(shell uname -s)
endif
ifeq "$(PLATFORM)" "Darwin"
SHLIB_FLAVOUR = dylib
lib-shared: libhts.dylib
else ifeq "$(findstring CYGWIN,$(PLATFORM))" "CYGWIN"
SHLIB_FLAVOUR = cygdll
lib-shared: cyghts-$(LIBHTS_SOVERSION).dll
else ifeq "$(findstring MSYS,$(PLATFORM))" "MSYS"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll
else ifeq "$(findstring MINGW,$(PLATFORM))" "MINGW"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll
else
SHLIB_FLAVOUR = so
lib-shared: libhts.so
endif

BUILT_PLUGINS = $(PLUGIN_OBJS:.o=$(PLUGIN_EXT))

plugins: $(BUILT_PLUGINS)


libhts.a: $(LIBHTS_OBJS)
	@-rm -f $@
	$(AR) -rc $@ $(LIBHTS_OBJS)
	-$(RANLIB) $@

print-config:
	@echo LDFLAGS = $(LDFLAGS)
	@echo LIBHTS_OBJS = $(LIBHTS_OBJS)
	@echo LIBS = $(LIBS)
	@echo PLATFORM = $(PLATFORM)

# The target here is libhts.so, as that is the built file that other rules
# depend upon and that is used when -lhts appears in other program's recipes.
# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
# file used at runtime (when $LD_LIBRARY_PATH includes the build directory).

libhts.so: $(LIBHTS_OBJS:.o=.pico)
	$(CC) -shared -Wl,-soname,libhts.so.$(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS:.o=.pico) $(LIBS) -lpthread
	ln -sf $@ libhts.so.$(LIBHTS_SOVERSION)

# Similarly this also creates libhts.NN.dylib as a byproduct, so that programs
# when run can find this uninstalled shared library (when $DYLD_LIBRARY_PATH
# includes this project's build directory).

libhts.dylib: $(LIBHTS_OBJS)
	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib

cyghts-$(LIBHTS_SOVERSION).dll libhts.dll.a: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=libhts.dll.a -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

hts-$(LIBHTS_SOVERSION).dll hts.dll.a: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=hts.dll.a -Wl,--enable-auto-import -Wl,--exclude-all-symbols $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

# Target to allow htslib.mk to build all the object files before it
# links the shared and static libraries.
hts-object-files: $(LIBHTS_OBJS)
	touch $@

.pico.so:
	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< $(LIBS) -lpthread

.o.bundle:
	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< $(LIBS)

%.cygdll: %.o libhts.dll.a
	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)

%.dll: %.o hts.dll.a
	$(CC) -shared $(LDFLAGS) -o $@ $< hts.dll.a $(LIBS)


bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_thread_pool_h) $(htslib_hts_endian_h) cram/pooled_alloc.h $(hts_internal_h) $(htslib_khash_h)
errmod.o errmod.pico: errmod.c config.h $(htslib_hts_h) $(htslib_ksort_h) $(htslib_hts_os_h)
kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
knetfile.o knetfile.pico: knetfile.c config.h $(htslib_hts_log_h) $(htslib_knetfile_h)
header.o header.pico: header.c config.h $(textutils_internal_h) $(header_h)
hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(htslib_kstring_h) $(hts_internal_h) $(htslib_khash_h)
hfile_gcs.o hfile_gcs.pico: hfile_gcs.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(hfile_internal_h)
hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
hfile_s3_write.o hfile_s3_write.pico: hfile_s3_write.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
hfile_s3.o hfile_s3.pico: hfile_s3.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)

=== debian/changelog ===
htslib (1.10.2-5) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove default debian/gbp.conf
  * Install bgzip.1 manpage
  * Workaround issue with dh_missing

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 13:19:08 +0200

htslib (1.10.2-4) unstable; urgency=medium

  * d/control: Added Rules-Requires-Root: no
  * Exported cram_to_bam function to compile sambamba, borrowed from
    http://git.genenetwork.org/guix-bioinformatics/guix-bioinformatics
    htslib-add-cram_to_bam.patch

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jul 2020 14:04:35 +0200

htslib (1.10.2-3) unstable; urgency=medium

  [ Andreas Tille ]
  * d/copyright: Add Upstream-Contact

  [ Michael R. Crusoe ]
  * Patch from upstream for big-endian systems. Closes: #947462
  * Mark htslib-tests as Multi-Arch: foreign
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * add Build-Depends-Package: libhts-dev to debian/libhts3.symbols
  * debian/rules: add hack to autoconf not forget MMAP with cross building
  * pass the same flags to test and install as build
  * debian/rules: match upstream's default flags
  * debian/libhts3.symbols: remove erronously exported symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 13 Feb 2020 19:25:04 +0100

htslib (1.10.2-2) unstable; urgency=medium

  * htslib-test: breaks+replaces libhts-private-dev
  * libhts3: breaks libtabixpp << 1.0.0-5

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 21 Dec 2019 14:15:05 -0700

htslib (1.10.2-1) unstable; urgency=medium

  * New upstream version
  * debian/source/options: ignore changes to aclocal.m4 config.h.in configure
  * debian/control: remove libhts-private-dev (Closes: #947066)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 09:57:05 -0800

=== debian/control ===
Source: htslib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libbz2-dev,
               libcurl4-gnutls-dev,
               liblzma-dev,
               libssl-dev,
               zlib1g-dev,
	       libdeflate-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/htslib
Vcs-Git: https://salsa.debian.org/med-team/htslib.git
Homepage: https://github.com/samtools/htslib
Rules-Requires-Root: no

Package: libhts3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: python-pysam (<< 0.15~),
        python3-pysam (<< 0.15~),
        libtabixpp (<< 1.0.0-5~)
Description: C library for high-throughput sequencing data formats
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.

Package: libhts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhts3 (= ${binary:Version}),
         liblzma-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: development files for the HTSlib
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.
 .
 This package contains development files for the HTSlib: headers, static
 library, manual pages, etc.
 .
 For compatibility with sambamba, the internal routine cram_to_bam was
 exported, hereto adopting a patch found in guix.

Package: htslib-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends}
Breaks: libhts-private-dev
Replaces: libhts-private-dev
Description: Test data for HTSlib
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.
 .
 This package contains test files and scripts for the HTSlib.

Package: tabix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: generic indexer for TAB-delimited genome position files
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip (provided in this package), which has a gzip
 like interface. After indexing, tabix is able to quickly retrieve data lines by
 chromosomal coordinates. Fast data retrieval also works over network if an URI
 is given as a file name.
 .
 This version of tabix is built from the HTSlib source.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
  DEB_CFLAGS_MAINT_APPEND=-msse -mfpmath=sse
endif
DEB_CFLAGS_MAINT_APPEND+=-flto -fvisibility=hidden
DEB_LDFLAGS_MAINT_APPEND+=-Wl,-flto -fvisibility=hidden

export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
	cp htslib.pc.in debian/
	cp debian/i386-htslib.pc.in ./htslib.pc.in
endif
	# create clean copy of test dir
	cp -a test test_backup
	# to help with cross building, otherwise MMAP might get turned off
	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3

override_dh_auto_build-arch:
	dh_auto_build -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
	  PACKAGE_VERSION="$(DEB_VERSION)" \
	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
# re-try later	  LDLIBS=-lhts \

override_dh_auto_build-indep:

override_dh_auto_install-arch:
	for binary in sam test-regidx hts_endian test-bcf-sr test_bgzf ; do \
	    rm $(CURDIR)/test/$${binary} ; \
	done
	dh_auto_install -- prefix=/usr \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
	  PACKAGE_VERSION="$(DEB_VERSION)" \
	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	# restore clean copy of test dir before dh_install is run
	# This should not be done earlier since dh_auto_install contains some unconditional removals
	$(RM) -r test
	mv test_backup test

override_dh_strip:
	# This is apparently important for the interpretation by ldc2 in sambamba
	dh_strip -Xlibhts.a

override_dh_auto_install-indep:

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
	  PACKAGE_VERSION="$(DEB_VERSION)" \
	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  || \
	  if find . -name "FAIL*" > /dev/null ; then \
	    for file in $$(find . -name "FAIL*"); do echo $${file}; cat $${file}; done && false ; \
	  fi
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Suppress test for Architecture independant builds."
endif

override_dh_install-indep:
	dh_install --indep
	sed -i 's/-ffile-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
	sed -i 's/-fdebug-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk

override_dh_installdocs:
	dh_installdocs
	# Fix Perl interpreter path
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_missing:
	# FIXME: No idea why these files are remaining in debian/tmp
	rm -rf debian/tmp/usr/bin debian/tmp/usr/share/man
	dh_missing

override_dh_fixperms:
	dh_fixperms
	find debian -name simple_test_driver.sh -exec chmod +x \{\} \;

override_dh_auto_clean:
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
ifneq (,$(wildcard debian/htslib.pc.in))
	cp debian/htslib.pc.in ./
endif
endif
	dh_auto_clean
	rm -rf test_backup/

## htslib 1.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for htslib, a C library for high-throughput sequencing data formats.
 #
-#    Copyright (C) 2013-2019 Genome Research Ltd.
+#    Copyright (C) 2013-2020 Genome Research Ltd.
 #
 #    Author: John Marshall <jm18@sanger.ac.uk>
 #
@@ -74,8 +74,10 @@
 	test/fieldarith \
 	test/hfile \
 	test/pileup \
+	test/plugins-dlhts \
 	test/sam \
 	test/test_bgzf \
+	test/test_kfunc \
 	test/test_kstring \
 	test/test_realn \
 	test/test-regidx \
@@ -98,7 +100,8 @@
 	test/thrash_threads6 \
 	test/thrash_threads7
 
-all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS)
+all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS) \
+     htslib_static.mk htslib-uninstalled.pc
 
 HTSPREFIX =
 include htslib_vars.mk
@@ -304,11 +307,11 @@
 hts-object-files: $(LIBHTS_OBJS)
 	touch $@
 
-.pico.so:
-	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< $(LIBS) -lpthread
-
-.o.bundle:
-	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< $(LIBS)
+%.so: %.pico libhts.so
+	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< libhts.so $(LIBS) -lpthread
+
+%.bundle: %.o libhts.dylib
+	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< libhts.dylib $(LIBS)
 
 %.cygdll: %.o libhts.dll.a
 	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)
@@ -327,4 +330,3 @@
 hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
 hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
 hfile_s3_write.o hfile_s3_write.pico: hfile_s3_write.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
-hfile_s3.o hfile_s3.pico: hfile_s3.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)

=== debian/changelog ===
htslib (1.11-4) unstable; urgency=medium

  * libhts3: Breaks+Replaces: libhts-dev (<< 1.11-3). Closes: #978094

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 02 Jan 2021 16:28:22 +0100

htslib (1.11-3) unstable; urgency=medium

  [ Andreas Tille ]
  * No need to patch when using proper configure options
  * Install man5 as user rather than developer documentation
  * Fix description of tabix package
    Closes: #922860
  * Standards-Version: 4.5.1 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Somehow installation of htslib dir has changed

  [ Michael R. Crusoe ]
  * debian/upstream/metadata: add new pre-print

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 10:34:35 +0100

htslib (1.11-2) unstable; urgency=medium

  * Enable plugins
    Closes: #971542
  * Add missing Depends: libcurl4-gnutls-dev, libdeflate-dev
  * Fix run-unit-test script
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 05 Oct 2020 09:30:04 +0200

htslib (1.11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 15:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libssl-dev,
                zlib1g-dev,
 	       libdeflate-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
@@ -27,9 +27,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libhts-dev (<< 1.11-3)
 Breaks: python-pysam (<< 0.15~),
         python3-pysam (<< 0.15~),
-        libtabixpp (<< 1.0.0-5~)
+        libtabixpp (<< 1.0.0-5~),
+        libhts-dev (<< 1.11-3)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
@@ -46,6 +48,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libhts3 (= ${binary:Version}),
+         libcurl4-gnutls-dev,
+         libdeflate-dev,
          liblzma-dev,
          zlib1g-dev,
          ${misc:Depends}
@@ -98,4 +102,5 @@
  chromosomal coordinates. Fast data retrieval also works over network if an URI
  is given as a file name.
  .
- This version of tabix is built from the HTSlib source.
+ This package is built from the HTSlib source, and provides the bgzip, htsfile,
+ and tabix tools.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cp -a test test_backup
 	# to help with cross building, otherwise MMAP might get turned off
 	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
-	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3
+	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
 
 override_dh_auto_build-arch:
 	dh_auto_build -- \
@@ -83,6 +83,7 @@
 	dh_install --indep
 	sed -i 's/-ffile-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
 	sed -i 's/-fdebug-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
+	sed -i 's#\.\./\.\./htslib/#htslib/#' `grep -Rl '../../htslib/' debian/htslib-test/*`
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4
opts="repack,compression=bz2,uversionmangle=s/-rc/~rc/" \
  https://github.com/samtools/htslib/releases .*/htslib-(\d\S*)\.tar\.bz2

## htslib 1.13+ds

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for htslib, a C library for high-throughput sequencing data formats.
 #
-#    Copyright (C) 2013-2020 Genome Research Ltd.
+#    Copyright (C) 2013-2021 Genome Research Ltd.
 #
 #    Author: John Marshall <jm18@sanger.ac.uk>
 #
@@ -77,6 +77,7 @@
 	test/plugins-dlhts \
 	test/sam \
 	test/test_bgzf \
+	test/test_expr \
 	test/test_kfunc \
 	test/test_kstring \
 	test/test_realn \
@@ -89,7 +90,8 @@
 	test/test-bcf-sr \
 	test/fuzz/hts_open_fuzzer.o \
 	test/test-bcf-translate \
-	test/test-parse-reg
+	test/test-parse-reg \
+	test/test_introspection
 
 BUILT_THRASH_PROGRAMS = \
 	test/thrash_threads1 \
@@ -103,19 +105,36 @@
 all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS) \
      htslib_static.mk htslib-uninstalled.pc
 
+ALL_CPPFLAGS = -I. $(CPPFLAGS)
+
+# Usually htscodecs.mk is generated by running configure or config.status,
+# but if those aren't used create a default here.
+htscodecs.mk:
+	echo '# Default htscodecs.mk generated by Makefile' > $@
+	echo 'include $$(HTSPREFIX)htscodecs_bundled.mk' >> $@
+
+srcdir = .
+srcprefix =
 HTSPREFIX =
 include htslib_vars.mk
+include htscodecs.mk
 
 # If not using GNU make, you need to copy the version number from version.sh
 # into here.
-PACKAGE_VERSION := $(shell ./version.sh)
+PACKAGE_VERSION := $(shell $(srcdir)/version.sh)
 
 LIBHTS_SOVERSION = 3
-MACH_O_COMPATIBILITY_VERSION = $(LIBHTS_SOVERSION)
+
+# Version numbers for the Mac dynamic library.  Note that the leading 3
+# is not strictly necessary and should be removed the next time
+# LIBHTS_SOVERSION is bumped (see #1144 and
+# https://developer.apple.com/library/archive/documentation/DeveloperTools/Conceptual/DynamicLibraries/100-Articles/DynamicLibraryDesignGuidelines.html#//apple_ref/doc/uid/TP40002013-SW23)
+MACH_O_COMPATIBILITY_VERSION = 3.1.13
+MACH_O_CURRENT_VERSION = 3.1.13
 
 # $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
 # even if this is a dirty or untagged Git working tree.
-NUMERIC_VERSION := $(shell ./version.sh numeric)
+NUMERIC_VERSION := $(shell $(srcdir)/version.sh numeric)
 
 # Force version.h to be remade if $(PACKAGE_VERSION) has changed.
 version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))
@@ -130,18 +149,24 @@
 	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
 	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)
 
+config_vars.h:
+	echo '#define HTS_CC "$(CC)"' > $@
+	echo '#define HTS_CPPFLAGS "$(CPPFLAGS)"' >> $@
+	echo '#define HTS_CFLAGS "$(CFLAGS)"' >> $@
+	echo '#define HTS_LDFLAGS "$(LDFLAGS)"' >> $@
+	echo '#define HTS_LIBS "$(LIBS)"' >> $@
+
 .SUFFIXES: .bundle .c .cygdll .dll .o .pico .so
 
 .c.o:
-	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<
 
 .c.pico:
-	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<
+	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<
 
 
 LIBHTS_OBJS = \
 	kfunc.o \
-	knetfile.o \
 	kstring.o \
 	bcf_sr_sort.o \
 	bgzf.o \
@@ -149,8 +174,8 @@
 	faidx.o \
 	header.o \
 	hfile.o \
-	hfile_net.o \
 	hts.o \
+	hts_expr.o \
 	hts_os.o\
 	md5.o \
 	multipart.o \
@@ -172,13 +197,12 @@
 	cram/cram_external.o \
 	cram/cram_index.o \
 	cram/cram_io.o \
-	cram/cram_samtools.o \
 	cram/cram_stats.o \
 	cram/mFILE.o \
 	cram/open_trace_file.o \
 	cram/pooled_alloc.o \
-	cram/rANS_static.o \
 	cram/string_alloc.o \
+	$(HTSCODECS_OBJS) \
 	$(NONCONFIGURE_OBJS)
 
 # Without configure we wish to have a rich set of default figures,
@@ -204,7 +228,6 @@
 textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
 thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)
 
-
 # To be effective, config.mk needs to appear after most Makefile variables are
 # set but before most rules appear, so that it can both use previously-set
 # variables in its own rules' prerequisites and also update variables for use
@@ -218,6 +241,9 @@
 # but if those aren't used create a default config.h here.
 config.h:
 	echo '/* Default config.h generated by Makefile */' > $@
+	echo '#ifndef _XOPEN_SOURCE' >> $@
+	echo '#define _XOPEN_SOURCE 600' >> $@
+	echo '#endif' >> $@
 	echo '#define HAVE_LIBBZ2 1' >> $@
 	echo '#define HAVE_LIBLZMA 1' >> $@
 	echo '#ifndef __APPLE__' >> $@
@@ -230,7 +256,7 @@
 # on htslib.pc.in listed, as if that file is newer the usual way to regenerate
 # this target is via configure or config.status rather than this rule.
 htslib.pc.tmp:
-	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' htslib.pc.in > $@
+	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' $(srcprefix)htslib.pc.in > $@
 
 # Create a makefile fragment listing the libraries and LDFLAGS needed for
 # static linking.  This can be included by projects that want to build
@@ -293,7 +319,7 @@
 # includes this project's build directory).
 
 libhts.dylib: $(LIBHTS_OBJS)
-	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
+	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(MACH_O_CURRENT_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
 	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib
 
 cyghts-$(LIBHTS_SOVERSION).dll libhts.dll.a: $(LIBHTS_OBJS)
@@ -307,26 +333,10 @@
 hts-object-files: $(LIBHTS_OBJS)
 	touch $@
 
+# On Unix dlopen("libhts.so.NN", RTLD_LAZY) may default to RTLD_LOCAL.
+# Hence plugins need to link to (shared) libhts.so.NN themselves, as they
+# may not be able to access libhts symbols via the main program's libhts
+# if that was dynamically loaded without an explicit RTLD_GLOBAL.
 %.so: %.pico libhts.so
 	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< libhts.so $(LIBS) -lpthread
 
-%.bundle: %.o libhts.dylib
-	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< libhts.dylib $(LIBS)
-
-%.cygdll: %.o libhts.dll.a
-	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)
-
-%.dll: %.o hts.dll.a
-	$(CC) -shared $(LDFLAGS) -o $@ $< hts.dll.a $(LIBS)
-
-
-bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_thread_pool_h) $(htslib_hts_endian_h) cram/pooled_alloc.h $(hts_internal_h) $(htslib_khash_h)
-errmod.o errmod.pico: errmod.c config.h $(htslib_hts_h) $(htslib_ksort_h) $(htslib_hts_os_h)
-kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
-knetfile.o knetfile.pico: knetfile.c config.h $(htslib_hts_log_h) $(htslib_knetfile_h)
-header.o header.pico: header.c config.h $(textutils_internal_h) $(header_h)
-hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(htslib_kstring_h) $(hts_internal_h) $(htslib_khash_h)
-hfile_gcs.o hfile_gcs.pico: hfile_gcs.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(hfile_internal_h)
-hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
-hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
-hfile_s3_write.o hfile_s3_write.pico: hfile_s3_write.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)

=== debian/changelog ===
htslib (1.13+ds-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:33:39 +0000

htslib (1.13+ds-2) unstable; urgency=medium

  * d/control: add myself to uploaders
  * d/control: libhts-dev breaks samtools (<< 1.13~)
  * d/control: refresh libhts-dev Breaks+Replaces
  * d/control: libhts-dev breaks ivar (<< 1.3.1~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Aug 2021 22:02:59 +0200

htslib (1.13+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * added libhtscodecs-dev as build-dependency
  * remove htscodecs folder from source tree (following advice
    by John Marshall - many thanks!)
  * Builds fine with autoconf > 2.71 (Closes: #978835).

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Remove constraints unnecessary since buster:
    + libhts3: Drop versioned constraint on python-pysam in Breaks.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 18:33:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: htslib
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>,
-           Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,8 +15,9 @@
                liblzma-dev,
                libssl-dev,
                zlib1g-dev,
-	       libdeflate-dev
-Standards-Version: 4.5.1
+	       libdeflate-dev,
+               libhtscodecs-dev (>= 1.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
@@ -27,11 +30,12 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libhts-dev (<< 1.11-3)
-Breaks: python-pysam (<< 0.15~),
-        python3-pysam (<< 0.15~),
+Replaces: libhts-dev (<< 1.13~)
+Breaks: python3-pysam (<< 0.15~),
         libtabixpp (<< 1.0.0-5~),
-        libhts-dev (<< 1.11-3)
+        libhts-dev (<< 1.13~),
+        samtools (<< 1.13~),
+        ivar (<< 1.3.1~)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,12 @@
 export DEB_CFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
+
 %:
 	dh $@
+
+hello:
+	echo "Upstream version: $(DEB_VERSION_UPSTREAM)"
 
 override_dh_auto_configure:
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
@@ -26,14 +30,14 @@
 	cp -a test test_backup
 	# to help with cross building, otherwise MMAP might get turned off
 	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
-	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
+	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-external-htscodecs --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
 
 override_dh_auto_build-arch:
 	dh_auto_build -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 # re-try later	  LDLIBS=-lhts \
 
@@ -47,7 +51,7 @@
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	# restore clean copy of test dir before dh_install is run
 	# This should not be done earlier since dh_auto_install contains some unconditional removals
@@ -66,7 +70,7 @@
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	  || \
 	  if find . -name "FAIL*" > /dev/null ; then \
